View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000016Ecere SDKidepublic2008-04-09 15:252012-03-29 07:52
Reporterjerome 
Assigned Tojerome 
PriorityhighSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000016: Watches: empty string
DescriptionNothing at all is displayed for empty strings, which makes it hard to differentiate between a watch bug / new line / junk characters etc.

Review usability of displaying quotes or not around string, and additionally displaying memory address of string.

* Actually, there is currently no way to differentiate a bad pointer (or any other failed string evaluation) from an empty string.
TagsNo tags attached.
Attached Files? file icon test.ec [^] (498 bytes) 2008-05-06 07:02
png file icon strings and chars.png [^] (91,832 bytes) 2008-05-06 07:06


? file icon StringWatchTests.ews [^] (540 bytes) 2008-05-06 07:07
? file icon StringWatchTests.epj [^] (1,098 bytes) 2008-05-06 07:07

- Relationships
child of 0000433closed previously resolved issues (draft 1 of 0.44 and earlier) 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2008-04-09 15:25 jerome New Issue
2008-04-16 20:44 jerome Description Updated
2008-04-30 20:04 jerome Status new => assigned
2008-04-30 20:04 jerome Assigned To => jerome
2008-05-02 01:06 jerome Priority normal => high
2008-05-06 07:00 jerome Status assigned => resolved
2008-05-06 07:00 jerome Resolution open => fixed
2008-05-06 07:00 jerome Note Added: 0000032
2008-05-06 07:00 jerome Note Edited: 0000032
2008-05-06 07:01 jerome File Added: strings and chars.png
2008-05-06 07:02 jerome Note Deleted: 0000032
2008-05-06 07:02 jerome File Added: test.ec
2008-05-06 07:06 jerome File Deleted: strings and chars.png
2008-05-06 07:06 jerome File Added: strings and chars.png
2008-05-06 07:07 jerome File Added: StringWatchTests.ews
2008-05-06 07:07 jerome File Added: StringWatchTests.epj
2009-05-03 03:44 jerome Status resolved => closed
2010-07-25 21:57 redj Relationship added child of 0000433
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker